import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/couponconfig/` + url, ...arg)

/**
 * 蛋糕券配置Api接口管理器
 *
 * @author fanzherong
 * @date  2025/04/14 10:32
 **/
export default {
	// 获取蛋糕券配置分页
	couponConfigPage(data) {
		return request('page', data, 'get')
	},
	// 提交蛋糕券配置表单 edit为true时为编辑，默认为新增
	couponConfigSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除蛋糕券配置
	couponConfigDelete(data) {
		return request('delete', data)
	},
	// 获取蛋糕券配置详情
	couponConfigDetail(data) {
		return request('detail', data, 'get')
	},
	getMemberList(data){
		return request('getMemberList',data,'get')
	}
}
